Skip to content

GrapherState

Implements

  • AxisManager
  • TooltipManager
  • CaptionedChartManager
  • ChartManager
  • DiscreteBarChartManager
  • ScatterPlotManager
  • MarimekkoChartManager
  • MapChartManager
  • SlopeChartManager
  • DataTableManager
  • FacetChartManager
  • TimelineManager
  • SettingsMenuManager
  • EntitySelectorModalManager
  • DownloadModalManager
  • SourcesModalManager
  • EmbedModalManager
  • ShareMenuManager
  • LegacyDimensionsManager

Properties

Property Type Description
$schema string | undefined Url of the concrete schema version to use to validate this document
id number | undefined Internal database id
version number Chart config version
slug string | undefined Slug of the chart on Our World In Data
title string | undefined Big title text of the chart
subtitle string | undefined The longer subtitle text to show beneath the title
isPublished boolean | undefined Indicates if the chart is published on Our World In Data or still in draft
originUrl string | undefined The page containing this chart where more context can be found
license LicenseOption | undefined The license the chart is published under, linked in the chart footer
sourceDesc string | undefined Short comma-separated list of source names
note string | undefined Note displayed in the footer of the chart
internalNotes string | undefined Additional text used internally to differentiate charts with the same title
variantName string | undefined Optional internal variant name for distinguishing charts with the same title
dimensions ChartDimension[] List of dimensions and their mapping to variables
selectedEntityNames string[] The initial selection of entities
focusedSeriesNames string[] The initially focused chart elements. Is either a list of entity or variable names. Only works for line and slope charts for now.
excludedEntityNames string[] | undefined Entities that should be excluded (opposite of includedEntityNames)
includedEntityNames string[] | undefined Entities that should be included (opposite of excludedEntityNames). If empty, all available entities are used. If set, all entities not specified here are excluded. excludedEntityNames are evaluated afterwards and can still remove entities even if they were included before.
inapplicableEntityNames string[] | undefined Entities the indicator's data can't apply to by construction, e.g. Mexico for "Where do Mexican emigrants live?"
selectedEntityColors { [entityName: string]: string | undefined; } Colors for selected entities
peerCountryStrategy PeerCountryStrategy | undefined Strategy for selecting peer countries for comparison
addCountryMode EntitySelectionMode Whether the user can change countries, add additional ones or neither
entityType string Display string for naming the primary entities of the data. The default is 'country or region', but you can specify a different one such as 'state' or 'region'
entityTypePlural string Plural of the entity type (e.g. when entityType is 'country' this would be 'countries')
facettingLabelByYVariables string Display string that replaces 'metric' in the 'Split by metric' label in facet controls (e.g. 'product' displays 'Split by product')
chartTypes ( | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell")[] Which chart types should be shown
hasMapTab boolean Indicates if the map tab should be shown
tab | "table" | "map" | "chart" | "line" | "scatter" | "stacked-area" | "discrete-bar" | "stacked-discrete-bar" | "slope" | "stacked-bar" | "marimekko" | "dumbbell" The tab that is shown initially
xAxis AxisConfig Configuration of the x-axis
yAxis AxisConfig Configuration of the y-axis
colorScale ColorScaleConfig Color scale definition
map MapConfig Configuration of the world map chart
dumbbell DumbbellChartConfig Configuration of the dumbbell chart
baseColorScheme ColorSchemeName | undefined One of the predefined base color schemes. If not provided, a default is automatically chosen based on the chart type.
invertColorScheme boolean | undefined Reverse the order of colors in the color scheme
logo LogoOption | undefined Which logo to show on the upper right side
hideSeriesLabels boolean | undefined Whether to hide the inline series labels drawn at the end of each series. Applies to line, slope, and stacked area charts
hideLogo boolean | undefined Whether to hide the logo
hideRelativeToggle boolean | undefined Whether to hide the relative mode UI toggle
hideConnectedScatterLines boolean | undefined Whether to hide connecting lines on scatter plots when a time range is selected
hideScatterLabels boolean | undefined Hide entity names in Scatter plots
hideTotalValueLabel boolean | undefined Whether to hide the total value label (used on stacked discrete bar charts)
hideFacetControl boolean Whether to hide the faceting control
hideAnnotationFieldsInTitle AnnotationFieldsInTitle | undefined Whether to hide any automatically added title annotations like the selected year
minTime number | undefined Start point of the initially selected time span
maxTime number | undefined End point of the initially selected time span
timelineMinTime number | undefined The lowest year to show in the timeline. If this is set then the user is not able to see any data before this year. If set to "earliest", then the earliest year in the data is used.
timelineMaxTime number | undefined The highest year to show in the timeline. If this is set then the user is not able to see any data after this year. If set to "latest", then the latest year in the data is used.
hideTimeline boolean | undefined Whether to hide the timeline from the user. If it is hidden then the user can't change the time
stackMode StackMode Stack mode
zoomToSelection boolean | undefined Whether to zoom to the selected data points
showYearLabels boolean | undefined Whether to show year labels in bar charts
showNoDataArea boolean Whether to show an area for entities that have no data (used in marimekko charts)
compareEndPointsOnly boolean | undefined Drops in between points in scatter plots
matchingEntitiesOnly boolean | undefined Exclude entities that do not belong in any color group
missingDataStrategy MissingDataStrategy | undefined The desired strategy for handling entities with missing data
scatterPointLabelStrategy ScatterPointLabelStrategy | undefined When a user hovers over a connected series line in a ScatterPlot we show a label for each point. By default that value will be from the "year" column but by changing this option the column used for the x or y axis could be used instead.
selectedFacetStrategy FacetStrategy | undefined The desired facetting strategy (none for no facetting)
sortBy SortBy | undefined Sort criterion (used by stacked bar charts and marimekko)
sortOrder SortOrder | undefined Sort order (used by stacked bar charts and marimekko)
sortColumnSlug string | undefined Sort column if sortBy is column (used by stacked bar charts and marimekko)
comparisonLines ComparisonLineConfig[] | undefined List of comparison lines to draw
relatedQuestions RelatedQuestionsConfig[] | undefined Links to related questions
base RefObject<HTMLDivElement | null> Reference to the root DOM element containing the grapher
initialOptions GrapherProgrammaticInterface Initial options passed when creating the GrapherState instance
_inputTable OwidTable The complete data table for the chart
additionalDataLoaderFn AdditionalGrapherDataFetchFn | undefined Optional custom function for fetching additional data beyond the main table
legacyConfigAsAuthored Partial<LegacyGrapherInterface> The original config as authored, used to detect user changes from authored defaults
externalQueryParams QueryParams Query parameters that don't correspond to standard Grapher parameters (like tab, time, etc.)
isConfigReady boolean | undefined -
isDataReady boolean | undefined -
ySlugs string | undefined -
xSlug string | undefined -
colorSlug string | undefined -
sizeSlug string | undefined -
tableSlugs string | undefined -
bakedGrapherURL string | undefined -
adminBaseUrl string | undefined -
isEmbeddedInAnOwidPage? boolean -
isEmbeddedInADataPage? boolean -
useNewDatapageMetadataLayout? boolean -
archiveContext? ArchiveContext -
narrativeChartInfo? MinimalNarrativeChartInfo -
analytics GrapherAnalytics -
tooltip? ObservableValue<TooltipProps | undefined> -
variant GrapherVariant -
hideLegend boolean | undefined Whether to hide a chart's legends
useMinimalLabeling boolean Minimal labeling is used in search when a thumbnail is embedded alongside a complementary table because the table already provides a lot of information, which is why the chart can be simplified to avoid redundancy and visual clutter
staticBounds Bounds -
_externalBounds Bounds | undefined -
selection SelectionArray -
focusArray FocusArray -
dataTableConfig DataTableConfig -
entitySelectorState Partial<EntitySelectorState> -
highlightedTimesInLineChart? number[] Used to highlight particular times in a line chart. The sparkline in map tooltips makes use of this.
timelineController TimelineController -
globeController GlobeController -
seriesColorMap SeriesColorMap Keeps a running cache of series colors at the Grapher level.
isEntitySelectorModalOrDrawerOpen boolean -
activeModal? GrapherModal -
activeDownloadModalTab DownloadModalTabName -
isShareMenuActive boolean -
isCommandPaletteOpen boolean -
isTimelineAnimationPlaying boolean -
isTimelineAnimationActive boolean True if the timeline animation is either playing or paused but not finished
disableChartRowAnimation boolean -
animationStartTime number | undefined -
areHandlesOnSameTimeBeforeAnimation boolean | undefined -
timelineDragTarget TimelineDragTarget | undefined Which timeline element is currently being dragged
frozenToleranceNotice | { notice: string | undefined; } | undefined The tolerance notice as of the start of a timeline interaction
hasTableTab boolean -
hideTitle boolean -
hideSubtitle boolean -
hideNote boolean -
hideOriginUrl boolean -
hideFullscreenButton boolean -
hideDownloadButton boolean -
hideEntityControls boolean -
hideShareButton boolean -
hideExploreTheDataButton boolean -
hideControlsRow boolean -
hideRelatedQuestion boolean -
canHideExternalControlsInEmbed boolean -
recommendedIframeEmbedHeight? number -
hideExternalControlsInEmbedUrl boolean -
forceHideAnnotationFieldsInTitle AnnotationFieldsInTitle -
enableMapSelection boolean Whether to allow entity selection via map interactions
isExportingToSvgOrPng boolean -
isWikimediaExport boolean -
shouldIncludeDetailsInStaticExport boolean -
_baseFontSize number Base font size for responsive scaling of chart elements
_isInFullScreenMode boolean -
windowInnerWidth number | undefined -
windowInnerHeight number | undefined -
screenHeight number | undefined -
enableKeyboardShortcuts boolean -
bindUrlToWindow boolean -
slideShow SlideShowController<any> | undefined -
disposers () => void[] -
rasterize GrapherRasterizeFn -

Accessors

object

Get Signature

get object(): GrapherInterface;

Returns an object ready to be serialized to JSON

Returns

GrapherInterface


inputTable

Get Signature

get inputTable(): OwidTable;

The complete, unfiltered data table for the chart.

This is the raw input data provided to the Grapher. This table is the starting point for all data transformations in the pipeline. It contains all entities and all time periods present in the data before any filtering or chart-specific transforms are applied.

Returns

OwidTable

Set Signature

set inputTable(table): void;
Parameters
Parameter Type
table OwidTable
Returns

void


tableAfterColorAndSizeToleranceApplication

Get Signature

get tableAfterColorAndSizeToleranceApplication(): OwidTable;

Input table with color and size tolerance applied.

This happens before applying the author's timeline filter to avoid accidentally dropping all color values before applying tolerance. This is especially important for scatter plots and Marimekko charts, where color and size columns are often transformed with infinite tolerance.

Line and discrete bar charts also support a color dimension, but their tolerance transformations run in their respective transformTable functions since it's more efficient to run them on a table that has been filtered by selected entities.

Returns

OwidTable


tableAfterAuthorTimelineAndEntityFilter

Get Signature

get tableAfterAuthorTimelineAndEntityFilter(): OwidTable;

Table after author-specified entity and timeline filters have been applied.

This is the earliest filtering step in the pipeline. The author can configure entity include/exclude patterns (includedEntityNames, excludedEntityNames) and timeline bounds (timelineMinTime, timelineMaxTime). These filters are applied before any chart-specific transforms, so to the charts it appears as if the filtered times and entities do not exist in the data.

Returns

OwidTable


table

Get Signature

get table(): OwidTable;

The base data table after author-configured filters have been applied

Returns

OwidTable

Implementation of

CaptionedChartManager.table

tableAfterAuthorTimelineAndActiveChartTransform

Get Signature

get tableAfterAuthorTimelineAndActiveChartTransform(): OwidTable;

Table after the active chart type's transformation has been applied.

Different chart types (line, bar, scatter, etc.) have different data requirements and transformations. This property applies the chart-specific transformTable() method to prepare the data for that chart type's rendering. This happens before any user-selected time range filtering (startTime/endTime).

Returns

OwidTable

Implementation of

ScatterPlotManager.tableAfterAuthorTimelineAndActiveChartTransform

transformedTable

Get Signature

get transformedTable(): OwidTable;

The final transformed table ready for chart rendering

Returns

OwidTable

Implementation of

CaptionedChartManager.transformedTable

tableForSelection

Get Signature

get tableForSelection(): OwidTable;

Table used to determine which entities can be selected in the entity selector

Returns

OwidTable

Implementation of

EntitySelectorModalManager.tableForSelection

tableForDisplayBeforeEntityFilter

Get Signature

get tableForDisplayBeforeEntityFilter(): OwidTable;

Base table for the data table tab

Returns

OwidTable

Implementation of

CaptionedChartManager.tableForDisplayBeforeEntityFilter

tableForDisplay

Get Signature

get tableForDisplay(): OwidTable;

Table for display in the data table tab

Returns

OwidTable

Implementation of

CaptionedChartManager.tableForDisplay

tableForDownload

Get Signature

get tableForDownload(): OwidTable;

Table used for downloading when the user requests a data download of the complete data set

Returns

OwidTable

Implementation of

DownloadModalManager.tableForDownload

filteredTableForDownload

Get Signature

get filteredTableForDownload(): OwidTable;

Table used for downloading when the user requests a data download of the currently displayed data.

Returns

OwidTable

Implementation of

DownloadModalManager.filteredTableForDownload

dataTableSlugs

Get Signature

get dataTableSlugs(): string[];
Returns

string[]

Implementation of

CaptionedChartManager.dataTableSlugs

activeTab

Get Signature

get activeTab(): 
  | "LineChart"
  | "ScatterPlot"
  | "StackedArea"
  | "DiscreteBar"
  | "StackedDiscreteBar"
  | "SlopeChart"
  | "StackedBar"
  | "Marimekko"
  | "Dumbbell"
  | "Table"
  | "WorldMap";
Returns

| "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"

Implementation of

CaptionedChartManager.activeTab

activeChartType

Get Signature

get activeChartType(): 
  | "LineChart"
  | "ScatterPlot"
  | "StackedArea"
  | "DiscreteBar"
  | "StackedDiscreteBar"
  | "SlopeChart"
  | "StackedBar"
  | "Marimekko"
  | "Dumbbell"
  | undefined;
Returns

| "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | undefined

Implementation of

CaptionedChartManager.activeChartType

chartType

Get Signature

get chartType(): 
  | "LineChart"
  | "ScatterPlot"
  | "StackedArea"
  | "DiscreteBar"
  | "StackedDiscreteBar"
  | "SlopeChart"
  | "StackedBar"
  | "Marimekko"
  | "Dumbbell"
  | undefined;
Returns

| "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | undefined


hasChartTab

Get Signature

get hasChartTab(): boolean;
Returns

boolean


isOnChartTab

Get Signature

get isOnChartTab(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isOnChartTab

isOnMapTab

Get Signature

get isOnMapTab(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isOnMapTab

isOnTableTab

Get Signature

get isOnTableTab(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isOnTableTab

isOnChartOrMapTab

Get Signature

get isOnChartOrMapTab(): boolean;
Returns

boolean

Implementation of

DownloadModalManager.isOnChartOrMapTab

yAxisConfig

Get Signature

get yAxisConfig(): Readonly<AxisConfigInterface>;
Returns

Readonly<AxisConfigInterface>

Implementation of

CaptionedChartManager.yAxisConfig

xAxisConfig

Get Signature

get xAxisConfig(): Readonly<AxisConfigInterface>;
Returns

Readonly<AxisConfigInterface>

Implementation of

CaptionedChartManager.xAxisConfig

showSeriesLabels

Get Signature

get showSeriesLabels(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.showSeriesLabels

showLegend

Get Signature

get showLegend(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.showLegend

isOnArchivalPage

Get Signature

get isOnArchivalPage(): boolean;
Returns

boolean

Implementation of

DownloadModalManager.isOnArchivalPage

hasArchivedPage

Get Signature

get hasArchivedPage(): boolean;
Returns

boolean

Implementation of

DownloadModalManager.hasArchivedPage

shouldShowSelectionOnlyInDataTable

Get Signature

get shouldShowSelectionOnlyInDataTable(): boolean;

We only show the selected entities in the data table if entity selection is disabled – unless there is a view that displays all data points, like a map or a scatter plot.

Returns

boolean

Implementation of

CaptionedChartManager.shouldShowSelectionOnlyInDataTable

dataTableSelection

Get Signature

get dataTableSelection(): SelectionArray;

Selection used in Grapher's data table.

If a map selection is set, it is preferred over the chart selection.

Returns

SelectionArray

Implementation of

CaptionedChartManager.dataTableSelection

chartState

Get Signature

get chartState(): ChartState;
Returns

ChartState


facetChartInstance

Get Signature

get facetChartInstance(): FacetChart | undefined;
Returns

FacetChart | undefined


chartStateExceptMap

Get Signature

get chartStateExceptMap(): ChartState;
Returns

ChartState


focusableSeriesNames

Get Signature

get focusableSeriesNames(): string[];
Returns

string[]


isStatic

Get Signature

get isStatic(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isStatic

editUrl

Get Signature

get editUrl(): string | undefined;
Returns

string | undefined

Implementation of

CaptionedChartManager.editUrl

createNarrativeChartUrl

Get Signature

get createNarrativeChartUrl(): string | undefined;
Returns

string | undefined

Implementation of

CaptionedChartManager.createNarrativeChartUrl

isAdmin

Get Signature

get isAdmin(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isAdmin

showAdminControls

Get Signature

get showAdminControls(): boolean;
Returns

boolean

Implementation of

DownloadModalManager.showAdminControls

hasData

Get Signature

get hasData(): boolean;
Returns

boolean


isReady

Get Signature

get isReady(): boolean;

Ready to go if we have retrieved data for every variable associated with the chart or the config and data are marked as ready

Returns

boolean

Implementation of

CaptionedChartManager.isReady

whatAreWeWaitingFor

Get Signature

get whatAreWeWaitingFor(): string;
Returns

string


newSlugs

Get Signature

get newSlugs(): string[];
Returns

string[]


isInIFrame

Get Signature

get isInIFrame(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isInIFrame

times

Get Signature

get times(): number[];
Returns

number[]

Implementation of

TimelineManager.times

startHandleTimeBound

Get Signature

get startHandleTimeBound(): number;
Returns

number

Set Signature

set startHandleTimeBound(value): void;
Parameters
Parameter Type
value number
Returns

void

Implementation of

CaptionedChartManager.startHandleTimeBound

closestTimelineMinTime

Get Signature

get closestTimelineMinTime(): number | undefined;
Returns

number | undefined

Implementation of

CaptionedChartManager.closestTimelineMinTime

closestTimelineMaxTime

Get Signature

get closestTimelineMaxTime(): number | undefined;
Returns

number | undefined

Implementation of

CaptionedChartManager.closestTimelineMaxTime

startTime

Get Signature

get startTime(): number | undefined;
Returns

number | undefined

Implementation of

CaptionedChartManager.startTime

endTime

Get Signature

get endTime(): number | undefined;
Returns

number | undefined

Implementation of

CaptionedChartManager.endTime

isSingleTimeScatterAnimationActive

Get Signature

get isSingleTimeScatterAnimationActive(): boolean;
Returns

boolean

Implementation of

ScatterPlotManager.isSingleTimeScatterAnimationActive

onlyTimeRangeSelectionPossible

Get Signature

get onlyTimeRangeSelectionPossible(): boolean;
Returns

boolean

Implementation of

TimelineManager.onlyTimeRangeSelectionPossible

isSingleTimeSelectionActive

Get Signature

get isSingleTimeSelectionActive(): boolean;
Returns

boolean

Implementation of

TimelineManager.isSingleTimeSelectionActive

shouldLinkToOwid

Get Signature

get shouldLinkToOwid(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.shouldLinkToOwid

Get Signature

get hasOWIDLogo(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.hasOWIDLogo

hasFatalErrors

Get Signature

get hasFatalErrors(): boolean;
Returns

boolean


entitySelector

Get Signature

get entitySelector(): EntitySelector;
Returns

EntitySelector


originUrlWithProtocol

Get Signature

get originUrlWithProtocol(): string;
Returns

string

Implementation of

CaptionedChartManager.originUrlWithProtocol

timelineHandleTimeBounds

Get Signature

get timelineHandleTimeBounds(): TimeBounds;
Returns

TimeBounds

Set Signature

set timelineHandleTimeBounds(value): void;
Parameters
Parameter Type
value TimeBounds
Returns

void


dimensionSlots

Get Signature

get dimensionSlots(): DimensionSlot[];

Dimension slots appropriate for the given chart types

Returns

DimensionSlot[]


filledDimensions

Get Signature

get filledDimensions(): ChartDimension[];
Returns

ChartDimension[]

Implementation of

CaptionedChartManager.filledDimensions

defaultSlug

Get Signature

get defaultSlug(): string;
Returns

string


displaySlug

Get Signature

get displaySlug(): string;
Returns

string

Implementation of

DownloadModalManager.displaySlug

detailsOrderedByReference

Get Signature

get detailsOrderedByReference(): string[];
Returns

string[]

Implementation of

AxisManager.detailsOrderedByReference

detailsMarkerInSvg

Get Signature

get detailsMarkerInSvg(): DetailsMarker;
Returns

DetailsMarker

Implementation of

CaptionedChartManager.detailsMarkerInSvg

detailRenderers

Get Signature

get detailRenderers(): MarkdownTextWrap[];
Returns

MarkdownTextWrap[]

Implementation of

CaptionedChartManager.detailRenderers

hasProjectedData

Get Signature

get hasProjectedData(): boolean;
Returns

boolean


projectionColumnInfoBySlug

Get Signature

get projectionColumnInfoBySlug(): Map<string, ProjectionColumnInfo>;
Returns

Map<string, ProjectionColumnInfo>

Implementation of

CaptionedChartManager.projectionColumnInfoBySlug

validChartTypes

Get Signature

get validChartTypes(): (
  | "LineChart"
  | "ScatterPlot"
  | "StackedArea"
  | "DiscreteBar"
  | "StackedDiscreteBar"
  | "SlopeChart"
  | "StackedBar"
  | "Marimekko"
  | "Dumbbell")[];
Returns

( | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell")[]


validChartTypeSet

Get Signature

get validChartTypeSet(): Set<
  | "LineChart"
  | "ScatterPlot"
  | "StackedArea"
  | "DiscreteBar"
  | "StackedDiscreteBar"
  | "SlopeChart"
  | "StackedBar"
  | "Marimekko"
  | "Dumbbell">;
Returns

Set< | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell">


availableTabs

Get Signature

get availableTabs(): (
  | "LineChart"
  | "ScatterPlot"
  | "StackedArea"
  | "DiscreteBar"
  | "StackedDiscreteBar"
  | "SlopeChart"
  | "StackedBar"
  | "Marimekko"
  | "Dumbbell"
  | "Table"
  | "WorldMap")[];
Returns

( | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap")[]

Implementation of

CaptionedChartManager.availableTabs

hasMultipleChartTypes

Get Signature

get hasMultipleChartTypes(): boolean;
Returns

boolean


effectiveSubtitle

Get Signature

get effectiveSubtitle(): string;

Effective subtitle resolved from authored subtitle or fallback description

Returns

string

Implementation of

CaptionedChartManager.effectiveSubtitle

toleranceNotice

Get Signature

get toleranceNotice(): string | undefined;

Explains that some of the values on screen aren't from the time the chart is labelled with, because tolerance was applied.

Returns

string | undefined


isTimelineInteractionActive

Get Signature

get isTimelineInteractionActive(): boolean;

Whether the timeline is being dragged or is playing an animation

Returns

boolean


effectiveNote

Get Signature

get effectiveNote(): string | undefined;

Effective note resolved from the authored note, with the tolerance notice appended when tolerance was applied to something on screen

Returns

string | undefined

Implementation of

CaptionedChartManager.effectiveNote

shouldAddEntitySuffixToTitle

Get Signature

get shouldAddEntitySuffixToTitle(): boolean;
Returns

boolean


shouldAddTimeSuffixToTitle

Get Signature

get shouldAddTimeSuffixToTitle(): boolean;
Returns

boolean


shouldAddChangeInPrefixToTitle

Get Signature

get shouldAddChangeInPrefixToTitle(): boolean;
Returns

boolean


effectiveTitle

Get Signature

get effectiveTitle(): string;

Effective title resolved from authored title or default title derived from metadata

Returns

string


mainTitle

Get Signature

get mainTitle(): string;

The main line of the chart title, without the entity/time annotation, but including the "Change in" prefix and the x-indicator label where applicable.

Returns

string

Implementation of

CaptionedChartManager.mainTitle

titleAnnotation

Get Signature

get titleAnnotation(): string | undefined;

The entity/time annotation of the chart title, e.g. "World, 2020"

Returns

string | undefined

Implementation of

CaptionedChartManager.titleAnnotation

fullTitle

Get Signature

get fullTitle(): string;

The complete chart title: the main title plus the entity/time annotation

Returns

string

Implementation of

CaptionedChartManager.fullTitle

hasTimeline

Get Signature

get hasTimeline(): boolean;

Uses some explicit and implicit information to decide whether a timeline is shown.

Returns

boolean

Implementation of

CaptionedChartManager.hasTimeline

mapColumnSlug

Get Signature

get mapColumnSlug(): string;
Returns

string

Implementation of

CaptionedChartManager.mapColumnSlug

yColumnsFromDimensions

Get Signature

get yColumnsFromDimensions(): CoreColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef>[];
Returns

CoreColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef>[]


yColumnSlugs

Get Signature

get yColumnSlugs(): string[];

Y column slugs used by the active tab

Returns

string[]

Implementation of

CaptionedChartManager.yColumnSlugs

yColumnSlug

Get Signature

get yColumnSlug(): string | undefined;

Y column slug used by the active tab

Returns

string | undefined

Implementation of

CaptionedChartManager.yColumnSlug

colorColumnSlug

Get Signature

get colorColumnSlug(): string | undefined;

Color column slug used by the active tab

Returns

string | undefined

Implementation of

CaptionedChartManager.colorColumnSlug

xColumnSlug

Get Signature

get xColumnSlug(): string | undefined;

X column slug used by the active tab

Returns

string | undefined

Implementation of

CaptionedChartManager.xColumnSlug

sizeColumnSlug

Get Signature

get sizeColumnSlug(): string | undefined;

Size column slug used by the active tab

Returns

string | undefined

Implementation of

CaptionedChartManager.sizeColumnSlug

sourcesLine

Get Signature

get sourcesLine(): string;
Returns

string

Implementation of

CaptionedChartManager.sourcesLine

inputColumnSlugs

Get Signature

get inputColumnSlugs(): string[];

All column slugs configured by the author (y, x, size, color)

Returns

string[]

Implementation of

EntitySelectorModalManager.inputColumnSlugs

inputColumnsWithSources

Get Signature

get inputColumnsWithSources(): CoreColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef>[];
Returns

CoreColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef>[]

Implementation of

SourcesModalManager.inputColumnsWithSources

baseFontSize

Get Signature

get baseFontSize(): number;
Returns

number

Set Signature

set baseFontSize(val): void;
Parameters
Parameter Type
val number
Returns

void


yColumnsFromDimensionsOrSlugsOrAuto

Get Signature

get yColumnsFromDimensionsOrSlugsOrAuto(): CoreColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef>[];
Returns

CoreColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef>[]

Implementation of

DownloadModalManager.yColumnsFromDimensionsOrSlugsOrAuto

defaultTitle

Get Signature

get defaultTitle(): string;
Returns

string


isLineChart

Get Signature

get isLineChart(): boolean;
Returns

boolean


isScatter

Get Signature

get isScatter(): boolean;
Returns

boolean


isStackedArea

Get Signature

get isStackedArea(): boolean;
Returns

boolean


isSlopeChart

Get Signature

get isSlopeChart(): boolean;
Returns

boolean


isDiscreteBar

Get Signature

get isDiscreteBar(): boolean;
Returns

boolean


isStackedBar

Get Signature

get isStackedBar(): boolean;
Returns

boolean


isMarimekko

Get Signature

get isMarimekko(): boolean;
Returns

boolean


isStackedDiscreteBar

Get Signature

get isStackedDiscreteBar(): boolean;
Returns

boolean


isDumbbell

Get Signature

get isDumbbell(): boolean;
Returns

boolean


isOnLineChartTab

Get Signature

get isOnLineChartTab(): boolean;
Returns

boolean


isOnScatterTab

Get Signature

get isOnScatterTab(): boolean;
Returns

boolean

Implementation of

EntitySelectorModalManager.isOnScatterTab

isOnStackedAreaTab

Get Signature

get isOnStackedAreaTab(): boolean;
Returns

boolean


isOnSlopeChartTab

Get Signature

get isOnSlopeChartTab(): boolean;
Returns

boolean


isOnDiscreteBarTab

Get Signature

get isOnDiscreteBarTab(): boolean;
Returns

boolean


isOnStackedBarTab

Get Signature

get isOnStackedBarTab(): boolean;
Returns

boolean


isOnMarimekkoTab

Get Signature

get isOnMarimekkoTab(): boolean;
Returns

boolean


isOnStackedDiscreteBarTab

Get Signature

get isOnStackedDiscreteBarTab(): boolean;
Returns

boolean


isOnDumbbellTab

Get Signature

get isOnDumbbellTab(): boolean;
Returns

boolean


hasLineChart

Get Signature

get hasLineChart(): boolean;
Returns

boolean

Implementation of

DiscreteBarChartManager.hasLineChart

hasSlopeChart

Get Signature

get hasSlopeChart(): boolean;
Returns

boolean

Implementation of

DiscreteBarChartManager.hasSlopeChart

hasDiscreteBar

Get Signature

get hasDiscreteBar(): boolean;
Returns

boolean


hasMarimekko

Get Signature

get hasMarimekko(): boolean;
Returns

boolean


hasScatter

Get Signature

get hasScatter(): boolean;
Returns

boolean

Implementation of

MarimekkoChartManager.hasScatter

hasStackedArea

Get Signature

get hasStackedArea(): boolean;
Returns

boolean


hasStackedBar

Get Signature

get hasStackedBar(): boolean;
Returns

boolean


hasStackedDiscreteBar

Get Signature

get hasStackedDiscreteBar(): boolean;
Returns

boolean


hasDumbbellChart

Get Signature

get hasDumbbellChart(): boolean;
Returns

boolean


supportsMultipleYColumns

Get Signature

get supportsMultipleYColumns(): boolean;
Returns

boolean


xOverrideTime

Get Signature

get xOverrideTime(): number | undefined;

Overrides the x axis dimension to target a special year

Returns

number | undefined

Set Signature

set xOverrideTime(value): void;
Parameters
Parameter Type
value number | undefined
Returns

void

Implementation of

CaptionedChartManager.xOverrideTime

defaultBounds

Get Signature

get defaultBounds(): Bounds;
Returns

Bounds


staticBoundsWithDetails

Get Signature

get staticBoundsWithDetails(): Bounds;
Returns

Bounds

Implementation of

CaptionedChartManager.staticBoundsWithDetails

mapConfig

Get Signature

get mapConfig(): MapConfig;
Returns

MapConfig

Implementation of

CaptionedChartManager.mapConfig

relativeToggleLabel

Get Signature

get relativeToggleLabel(): string;
Returns

string

Implementation of

CaptionedChartManager.relativeToggleLabel

isRelativeMode

Get Signature

get isRelativeMode(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isRelativeMode

canToggleRelativeMode

Get Signature

get canToggleRelativeMode(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.canToggleRelativeMode

externalBounds

Get Signature

get externalBounds(): Bounds;

externalBounds should be set to the available plotting area for a Grapher that resizes itself to fit. When this area changes, externalBounds should be updated. Updating externalBounds can trigger a bunch of somewhat expensive recalculations so it might be worth debouncing updates (e.g. when drag-resizing)

Returns

Bounds

Set Signature

set externalBounds(bounds): void;
Parameters
Parameter Type
bounds Bounds
Returns

void


isPortrait

Get Signature

get isPortrait(): boolean;
Returns

boolean


hideFullScreenButton

Get Signature

get hideFullScreenButton(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.hideFullScreenButton

frameBounds

Get Signature

get frameBounds(): Bounds;

Bounds of the entire Grapher frame including the chart area and entity selector panel

Returns

Bounds

Implementation of

EntitySelectorModalManager.frameBounds

activeBounds

Get Signature

get activeBounds(): Bounds;
Returns

Bounds


captionedChartBounds

Get Signature

get captionedChartBounds(): Bounds;

Bounds of the CaptionedChart that renders the header, chart area and footer

Returns

Bounds

Implementation of

CaptionedChartManager.captionedChartBounds

chartAreaPadding

Get Signature

get chartAreaPadding(): number;
Returns

number

Implementation of

CaptionedChartManager.chartAreaPadding

chartAreaBounds

Get Signature

get chartAreaBounds(): Bounds;

Bounds of the chart area if no CaptionedChart is rendered

Returns

Bounds


sidePanelBounds

Get Signature

get sidePanelBounds(): Bounds | undefined;

Bounds of the entity selector if rendered into the side panel

Returns

Bounds | undefined

Implementation of

CaptionedChartManager.sidePanelBounds

containerElement

Get Signature

get containerElement(): HTMLDivElement | undefined;
Returns

HTMLDivElement | undefined


analyticsContext

Get Signature

get analyticsContext(): GrapherAnalyticsContext;
Returns

GrapherAnalyticsContext


timeColumn

Get Signature

get timeColumn(): 
  | TimeColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef>
  | undefined;
Returns

| TimeColumn<CoreTable<CoreRow, CoreColumnDef>, CoreColumnDef> | undefined

Implementation of

TimelineManager.timeColumn

availableEntityNames

Get Signature

get availableEntityNames(): string[];
Returns

string[]


regionGroups

Get Signature

get regionGroups(): RegionGroup[];
Returns

RegionGroup[]

Implementation of

CaptionedChartManager.regionGroups

entitiesByRegionGroup

Get Signature

get entitiesByRegionGroup(): EntitiesByRegionGroup;
Returns

EntitiesByRegionGroup

Implementation of

CaptionedChartManager.entitiesByRegionGroup

_sortConfig

Get Signature

get _sortConfig(): Readonly<SortConfig$1>;
Returns

Readonly<SortConfig$1>


sortConfig

Get Signature

get sortConfig(): SortConfig$1;
Returns

SortConfig$1

Implementation of

CaptionedChartManager.sortConfig

hasMultipleYColumns

Get Signature

get hasMultipleYColumns(): boolean;
Returns

boolean


availableFacetStrategies

Get Signature

get availableFacetStrategies(): FacetStrategy[];
Returns

FacetStrategy[]

Implementation of

CaptionedChartManager.availableFacetStrategies

isFaceted

Get Signature

get isFaceted(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isFaceted

hasMultipleSeriesPerFacet

Get Signature

get hasMultipleSeriesPerFacet(): boolean;
Returns

boolean


availableSortKeysAcrossChartTypes

Get Signature

get availableSortKeysAcrossChartTypes(): SortBy[];
Returns

SortBy[]


isInFullScreenMode

Get Signature

get isInFullScreenMode(): boolean;
Returns

boolean

Set Signature

set isInFullScreenMode(newValue): void;
Parameters
Parameter Type
newValue boolean
Returns

void

Implementation of

CaptionedChartManager.isInFullScreenMode

isModalOpen

Get Signature

get isModalOpen(): boolean;
Returns

boolean

Implementation of

ScatterPlotManager.isModalOpen

isServerSideDownloadAvailable

Get Signature

get isServerSideDownloadAvailable(): boolean;
Returns

boolean

Implementation of

DownloadModalManager.isServerSideDownloadAvailable

useBaseFontSize

Get Signature

get useBaseFontSize(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.useBaseFontSize

fontSize

Get Signature

get fontSize(): number;
Returns

number

Implementation of

AxisManager.fontSize

isNarrow

Get Signature

get isNarrow(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isNarrow

isSemiNarrow

Get Signature

get isSemiNarrow(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isSemiNarrow

isSmall

Get Signature

get isSmall(): boolean;

Small charts are typically rendered into 6 or 7 columns in a 12-column grid layout (e.g. side-by-side charts or charts in the All Charts block)

Returns

boolean

Implementation of

CaptionedChartManager.isSmall

isMedium

Get Signature

get isMedium(): boolean;

Medium charts are typically rendered into 8 columns in a 12-column grid layout (e.g. stand-alone charts in the main text of an article)

Returns

boolean

Implementation of

CaptionedChartManager.isMedium

isStaticAndSmall

Get Signature

get isStaticAndSmall(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isStaticAndSmall

isExportingForWikimedia

Get Signature

get isExportingForWikimedia(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isExportingForWikimedia

shouldPinTooltipToBottom

Get Signature

get shouldPinTooltipToBottom(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.shouldPinTooltipToBottom

showRelatedQuestion

Get Signature

get showRelatedQuestion(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.showRelatedQuestion

overlayParam

Get Signature

get overlayParam(): string | undefined;
Returns

string | undefined


areSelectedEntitiesDifferentThanAuthors

Get Signature

get areSelectedEntitiesDifferentThanAuthors(): boolean;
Returns

boolean


areFocusedSeriesNamesDifferentThanAuthors

Get Signature

get areFocusedSeriesNamesDifferentThanAuthors(): boolean;
Returns

boolean


changedParams

Get Signature

get changedParams(): Partial<GrapherQueryParams>;

Autocomputed url params to reflect difference between current grapher state and original config state

Returns

Partial<GrapherQueryParams>


authorsVersion

Get Signature

get authorsVersion(): GrapherState;

Useful to compare current state against the published grapher

Returns

GrapherState


queryStr

Get Signature

get queryStr(): string;
Returns

string

Implementation of

DownloadModalManager.queryStr

baseUrl

Get Signature

get baseUrl(): string | undefined;

Static root URL of the chart, e.g. https://ourworldindata.org/grapher/life-expectancy

Returns

string | undefined

Implementation of

DownloadModalManager.baseUrl

canonicalUrl

Get Signature

get canonicalUrl(): string | undefined;

Full URL representing the canonical location of this grapher state, e.g. https://ourworldindata.org/grapher/life-expectancy?tab=map

Returns

string | undefined

Implementation of

CaptionedChartManager.canonicalUrl

isOnCanonicalUrl

Get Signature

get isOnCanonicalUrl(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isOnCanonicalUrl

embedUrl

Get Signature

get embedUrl(): string | undefined;
Returns

string | undefined

Implementation of

EmbedModalManager.embedUrl

embedArchivedUrl

Get Signature

get embedArchivedUrl(): string | undefined;
Returns

string | undefined

Implementation of

EmbedModalManager.embedArchivedUrl

hasUserChangedTimeHandles

Get Signature

get hasUserChangedTimeHandles(): boolean;
Returns

boolean


timeParam

Get Signature

get timeParam(): string | undefined;
Returns

string | undefined


disablePlay

Get Signature

get disablePlay(): boolean;
Returns

boolean

Implementation of

TimelineManager.disablePlay

animationEndTime

Get Signature

get animationEndTime(): number;
Returns

number

Implementation of

ScatterPlotManager.animationEndTime

canSelectMultipleEntities

Get Signature

get canSelectMultipleEntities(): boolean;
Returns

boolean

Implementation of

SlopeChartManager.canSelectMultipleEntities

canChangeEntity

Get Signature

get canChangeEntity(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.canChangeEntity

canAddEntities

Get Signature

get canAddEntities(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.canAddEntities

canHighlightEntities

Get Signature

get canHighlightEntities(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.canHighlightEntities

canChangeAddOrHighlightEntities

Get Signature

get canChangeAddOrHighlightEntities(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.canChangeAddOrHighlightEntities

shouldShowEntitySelectorAs

Get Signature

get shouldShowEntitySelectorAs(): GrapherWindowType;
Returns

GrapherWindowType

Implementation of

CaptionedChartManager.shouldShowEntitySelectorAs

isEntitySelectorModalOpen

Get Signature

get isEntitySelectorModalOpen(): boolean;
Returns

boolean


isEntitySelectorDrawerOpen

Get Signature

get isEntitySelectorDrawerOpen(): boolean;
Returns

boolean


isMapSelectionEnabled

Get Signature

get isMapSelectionEnabled(): boolean;
Returns

boolean

Implementation of

CaptionedChartManager.isMapSelectionEnabled

Methods

updateFromObject()

updateFromObject(obj?): void;

Parameters

Parameter Type
obj? GrapherProgrammaticInterface

Returns

void


toObject()

toObject(): GrapherInterface;

Returns

GrapherInterface


populateFromQueryParams()

populateFromQueryParams(params): void;

Populates grapher state from URL query parameters

Parameters

Parameter Type
params GrapherQueryParams

Returns

void


setTimeFromTimeQueryParam()

setTimeFromTimeQueryParam(time): void;

Parameters

Parameter Type
time string

Returns

void


setAuthoredVersion()

setAuthoredVersion(config): void;

Parameters

Parameter Type
config Partial<LegacyGrapherInterface>

Returns

void


updateAuthoredVersion()

updateAuthoredVersion(config): void;

Parameters

Parameter Type
config Partial<LegacyGrapherInterface>

Returns

void


resetToDefaultTab()

resetToDefaultTab(): void;

Returns

void


createPerformanceMeasurement()

createPerformanceMeasurement(name, startMark): void;

Parameters

Parameter Type
name string
startMark number

Returns

void


setTab()

setTab(newTab): void;

Parameters

Parameter Type
newTab | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"

Returns

void

Implementation of

CaptionedChartManager.setTab

ensureTimeHandlesAreSensibleForTab()

ensureTimeHandlesAreSensibleForTab(tab): void;

Parameters

Parameter Type
tab | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"

Returns

void


adjustStateForTab()

adjustStateForTab(tab): void;

Parameters

Parameter Type
tab | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"

Returns

void


syncEntitySelectionBetweenChartAndMap()

syncEntitySelectionBetweenChartAndMap(oldTab, newTab): void;

Parameters

Parameter Type
oldTab | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"
newTab | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"

Returns

void


onTabChange()

onTabChange(oldTab, newTab): void;

Parameters

Parameter Type
oldTab | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"
newTab | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"

Returns

void

Implementation of

CaptionedChartManager.onTabChange

addDimension()

addDimension(config): void;

Parameters

Parameter Type
config OwidChartDimensionInterface

Returns

void


setDimensionsForProperty()

setDimensionsForProperty(property, newConfigs): void;

Parameters

Parameter Type
property DimensionProperty
newConfigs OwidChartDimensionInterface[]

Returns

void


setDimensionsFromConfigs()

setDimensionsFromConfigs(configs): void;

Parameters

Parameter Type
configs OwidChartDimensionInterface[]

Returns

void


setToleranceNoticeFrozen()

setToleranceNoticeFrozen(isFrozen): void;

Parameters

Parameter Type
isFrozen boolean

Returns

void


generateStaticSvg()

generateStaticSvg(renderToHtmlString): Promise<string>;

Parameters

Parameter Type
renderToHtmlString (element) => string

Returns

Promise<string>


logEntitySelectorEvent()

logEntitySelectorEvent(action, target?): void;

Parameters

Parameter Type
action EntitySelectorEvent
target? string

Returns

void

Implementation of

EntitySelectorModalManager.logEntitySelectorEvent

logImageDownloadEvent()

logImageDownloadEvent(action): void;

Parameters

Parameter Type
action GrapherImageDownloadEvent

Returns

void

Implementation of

DownloadModalManager.logImageDownloadEvent

logGrapherInteractionEvent()

logGrapherInteractionEvent(action, target?): void;

Parameters

Parameter Type
action GrapherInteractionEvent
target? string

Returns

void

Implementation of

CaptionedChartManager.logGrapherInteractionEvent

setHideExternalControlsInEmbedUrl()

setHideExternalControlsInEmbedUrl(value): void;

Parameters

Parameter Type
value boolean

Returns

void

Implementation of

EmbedModalManager.setHideExternalControlsInEmbedUrl

computeBaseFontSizeFromWidth()

computeBaseFontSizeFromWidth(bounds): number;

Parameters

Parameter Type
bounds Bounds

Returns

number


clearSelection()

clearSelection(): void;

Returns

void


clearQueryParams()

clearQueryParams(): void;

Returns

void


reset()

reset(): void;

Resets the Grapher to a blank slate, so that if you updateFromObject and the object contains some blanks, those blanks won't overwrite defaults.

Returns

void


onTimelineClick()

onTimelineClick(): void;

Returns

void

Implementation of

TimelineManager.onTimelineClick

onSelectEntity()

onSelectEntity(entityName): void;

Parameters

Parameter Type
entityName string

Returns

void

Implementation of

EntitySelectorModalManager.onSelectEntity

onDeselectEntity()

onDeselectEntity(entityName): void;

Parameters

Parameter Type
entityName string

Returns

void

Implementation of

EntitySelectorModalManager.onDeselectEntity

onClearEntities()

onClearEntities(): void;

Returns

void

Implementation of

EntitySelectorModalManager.onClearEntities

isEntityMutedInSelector()

isEntityMutedInSelector(entityName): boolean;

Parameters

Parameter Type
entityName string

Returns

boolean

Implementation of

EntitySelectorModalManager.isEntityMutedInSelector

mapGrapherTabToQueryParam()

mapGrapherTabToQueryParam(tabName): string;

Parameters

Parameter Type
tabName | "LineChart" | "ScatterPlot" | "StackedArea" | "DiscreteBar" | "StackedDiscreteBar" | "SlopeChart" | "StackedBar" | "Marimekko" | "Dumbbell" | "Table" | "WorldMap"

Returns

string